# Uses of Interface
org.eclipse.draw2d.ConnectionRouter

Packages that use ConnectionRouter
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ConnectionRouter in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement ConnectionRouter
Modifier and Type
Class
Description
`class`
`AbstractRouter`
Base class for implementing a connection router.
`class`
`AutomaticRouter`
An abstract router implementation which detects when multiple connections are overlapping.
`class`
`BendpointConnectionRouter`
Routes `Connection`s through a `List` of `Bendpoints`.
`static class`
`ConnectionRouter.NullConnectionRouter`
Routes Connections directly from the source anchor to the target anchor with no bendpoints in between.
`class`
`FanRouter`
Automatic router that spreads its `Connections` in a fan-like fashion upon collision.
`final class`
`ManhattanConnectionRouter`
Provides a `Connection` with an orthogonal route between the Connection's source and target anchors.
`final class`
`ShortestPathConnectionRouter`
Routes multiple connections around the children of a given container figure.
Fields in org.eclipse.draw2d declared as ConnectionRouter
Modifier and Type
Field
Description
`protected ConnectionRouter`
ConnectionLayer.`connectionRouter`
The ConnectionRouter used to route all connections on this layer.
`static final ConnectionRouter`
ConnectionRouter.`NULL`
The default router for Connections.
Methods in org.eclipse.draw2d that return ConnectionRouter
Modifier and Type
Method
Description
`ConnectionRouter`
Connection.`getConnectionRouter()`
Returns the ConnectionRouter used to route this Connection.
`ConnectionRouter`
ConnectionLayer.`getConnectionRouter()`
Returns the ConnectionRouter being used by this layer.
`ConnectionRouter`
PolylineConnection.`getConnectionRouter()`
Returns the `ConnectionRouter` used to layout this connection.
`protected ConnectionRouter`
AutomaticRouter.`next()`
Returns the next router in the chain.
Methods in org.eclipse.draw2d with parameters of type ConnectionRouter
Modifier and Type
Method
Description
`void`
Connection.`setConnectionRouter(ConnectionRouter router)`
Sets the ConnectionRouter for this Connection.
`void`
ConnectionLayer.`setConnectionRouter(ConnectionRouter router)`
Sets the ConnectionRouter for this layer.
`void`
PolylineConnection.`setConnectionRouter(ConnectionRouter cr)`
Sets the connection router which handles the layout of this polyline.
`void`
AutomaticRouter.`setNextRouter(ConnectionRouter router)`
Sets the next router.